View Issue Details

IDProjectCategoryView StatusLast Update
0016476MediaMonkey 5Generalpublic2020-11-11 16:52
Reporterpeke Assigned To 
PriorityurgentSeveritymajorReproducibilitysometimes
Status closedResolutionfixed 
Target Version5.0Fixed in Version5.0 
Summary0016476: Micro player do not work after latest update for Windows 10 1909
DescriptionMicro player do not work after latest update for Windows 10 1909

It is rendered behind taskbar.
TagsNo tags attached.
Fixed in build2260

Relationships

related to 0017072 assignedpetr Micro Player: stops responding & other issues 

Activities

Ludek

2020-05-13 10:52

developer   ~0057975

I have also issues with micro player, details discussed via IM

petr

2020-05-14 11:14

developer   ~0058004

Fixed

peke

2020-05-15 02:36

developer   ~0058026

It shows and work in 22248, but after few times Minimize to Micro player and restore it do not restore anymore and until user disable Toolbars -> "MediaMonkey Player" there is no MM5 full UI. After that evenif you enable Toolbars -> "MediaMonkey Player" it do not work and starts to work again after MM5 restart till again stops working.

petr

2020-05-15 08:51

developer   ~0058037

I've tried ~15 times to switch between micro player and main window and work just fine. Can you send more details about the problem ?

Ludek

2020-05-15 11:25

developer   ~0058042

Last edited: 2020-05-15 11:25

View 2 revisions

Confirmed that it works fine in 2248 + fixes also the Barry's isue mentioned here: http://www.mediamonkey.com/forum/viewtopic.php?f=30&t=96500

peke

2020-05-15 16:46

developer   ~0058049

Last edited: 2020-05-15 16:52

View 2 revisions

Reopening.
I thought it would be easy to replicate as steps are clear.

EDIT: forgot to note that I can replicate exactly the same on laptop that I installed clean windows 1909 and all updates and MM5 was first app that was installed.

petr

2020-07-03 09:13

developer   ~0058746

Last edited: 2020-07-03 11:43

View 2 revisions

Currently only problem i see is when user disable MM toolbar when micro-player is visible.
Microsoft has changed CloseDW event. Before the change, this event was called (in this event we've removed our player window from the dock) and after then dock window was destroyed. For unknown reason it was changed and dock window is destroyed BEFORE CloseDW event is called so it will destroy our player window as well. I've made some steps to not destroy our window so it will not crash, but for some reason it will not redraw correctly when dock is enabled.

petr

2020-07-03 16:08

developer   ~0058756

Fixed

peke

2020-07-11 01:32

developer   ~0058882

Verified 2260

Tested on 1909 and 2004 version of win 10 Pro.